Loading...
Searching...
No Matches
GetState< T > Struct Template Reference

Implements Tree::isActive(Coord) More...

`#include <nanovdb/util/GridBuilder.h>`

## Static Public Member Functions

static bool | get (const BuildRoot< T > &)
static bool | get (const BuildTile< T > &tile)
static bool | get (const BuildUpper< T > &node, uint32_t n)
static bool | get (const BuildLower< T > &node, uint32_t n)
static bool | get (const BuildLeaf< T > &leaf, uint32_t n)

## Detailed Description

template<typename T>
struct nanovdb::build::GetState< T >

Implements Tree::isActive(Coord)

Template Parameters

  T | Build type of the grid being called

## Member Function Documentation

## get() [1/5]

template<typename T>

bool get | ( | const BuildLeaf< T > & | leaf,
|  | uint32_t | n )

inlinestatic

## get() [2/5]

template<typename T>

bool get | ( | const BuildLower< T > & | node,
|  | uint32_t | n )

inlinestatic

## get() [3/5]

template<typename T>

bool get | ( | const BuildRoot< T > & |  | ) |

inlinestatic

## get() [4/5]

template<typename T>

bool get | ( | const BuildTile< T > & | tile | ) |

inlinestatic

## get() [5/5]

template<typename T>

bool get | ( | const BuildUpper< T > & | node,
|  | uint32_t | n )

inlinestatic